Bug 245406 - /usr/lib/sasl2/App.conf broken
/usr/lib/sasl2/App.conf broken
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 17:10 EDT by Zing
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 14:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zing 2007-06-22 17:10:18 EDT
Description of problem:
I see in the spec file:

--with-configdir=%{_plugindir2}:%{_sysconfdir}/sasl2

This seems to say that any App.conf files can be put in either dir
(/usr/lib/sasl2 or /etc/sasl2) or not?

but in my testing (specifically i'm using saslauthd with openldap) if my
slapd.conf is in /usr/lib/sasl2, then it is ignored.  slapd/sasl tries to open
/etc/sasldb2 (the default i guess).  When I move slapd.conf to /etc/sasl2, then
I get the correct call through to saslauthd.

This was on an install, not an upgrade, but I'm thinking this would break any
configured App.conf's that were in /usr/lib/sasl2/ on an upgrade.

Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.22-6.x86_64

I don't know whether this happens or not on i386.

How reproducible:
always

Steps to Reproduce:
1. configure an app for saslauthd (pwcheck_method: saslauthd) and put the
App.conf in /usr/lib/sasl2
2. authenticate... it won't work
3. put App.conf in /etc/sasl2
4. it works
  
Actual results:
failure to authenticate to configure check method.

Expected results:
authentice to configured check method
Comment 1 Zing 2007-06-26 14:35:59 EDT
Ah, disregard, the path is supposed to be /usr/lib64/sasl2.  that works fine.
sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.